---
title: Math.atan2()
slug: Web/JavaScript/Reference/Global_Objects/Math/atan2
tags:
  - JavaScript
  - Math
  - Method
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Math.atan2()</code></strong> function returns the angle in the plane (in radians) between the positive x-axis and the ray from (0,0) to the point (x,y), for <code>Math.atan2(y,x)</code>.</p>

<div>{{EmbedInteractiveExample("pages/js/math-atan2.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Math.atan2(<var>y</var>, <var>x</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>y</var></code></dt>
 <dd>The y coordinate of the point.</dd>
 <dt><code><var>x</var></code></dt>
 <dd>The x coordinate of the point</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The angle in radians (in <math><semantics><mrow><mo stretchy="false">[</mo><mo>-</mo><mi>π</mi><mo>,</mo><mi>π</mi><mo stretchy="false">]</mo></mrow><annotation encoding="TeX">[-\pi, \pi]</annotation></semantics></math>) between the positive x-axis and the ray from (0,0) to the point <math><semantics><annotation encoding="TeX">(x,y).</annotation></semantics></math></p>

<h2 id="Description">Description</h2>

<p>The <code>Math.atan2()</code> method returns a numeric value between -π and π representing the angle theta of an <code>(x, y)</code> point. This is the counterclockwise angle, measured in radians, between the positive X axis, and the point <code>(x, y)</code>. Note that the arguments to this function pass the y-coordinate first and the x-coordinate second.</p>

<p><img alt="A simple diagram showing the angle returned by atan2(y, x)" src="https://mdn.mozillademos.org/files/11557/atan2.png" style="height: 300px; width: 300px;"></p>

<p><code>Math.atan2()</code> is passed separate <code>x</code> and <code>y</code> arguments, and <code>Math.atan()</code> is passed the ratio of those two arguments.</p>

<p>Because <code>atan2()</code> is a static method of <code>Math</code>, you always use it as <code>Math.atan2()</code>, rather than as a method of a <code>Math</code> object you created (<code>Math</code> is not a constructor).</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_Math.atan2">Using Math.atan2()</h3>

<pre class="brush: js notranslate">Math.atan2(90, 15); // 1.4056476493802699
Math.atan2(15, 90); // 0.16514867741462683

Math.atan2(±0, -0);               // ±PI.
Math.atan2(±0, +0);               // ±0.
Math.atan2(±0, -x);               // ±PI for x &gt; 0.
Math.atan2(±0, x);                // ±0 for x &gt; 0.
Math.atan2(-y, ±0);               // -PI/2 for y &gt; 0.
Math.atan2(y, ±0);                // PI/2 for y &gt; 0.
Math.atan2(±y, -Infinity);        // ±PI for finite y &gt; 0.
Math.atan2(±y, +Infinity);        // ±0 for finite y &gt; 0.
Math.atan2(±Infinity, x);         // ±PI/2 for finite x.
Math.atan2(±Infinity, -Infinity); // ±3*PI/4.
Math.atan2(±Infinity, +Infinity); // ±PI/4.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-math.atan2', 'Math.atan2')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Math.atan2")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Math.acos()")}}</li>
 <li>{{jsxref("Math.asin()")}}</li>
 <li>{{jsxref("Math.atan()")}}</li>
 <li>{{jsxref("Math.cos()")}}</li>
 <li>{{jsxref("Math.sin()")}}</li>
 <li>{{jsxref("Math.tan()")}}</li>
</ul>
